summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Wayne Cuddy2019-04-12 17:08:39 +0200
committer Willy Sudiarto Raharjo2019-04-12 17:08:39 +0200
commitb9e645c394d7b7854a1d17d1bebdc6e9e624b0e9 (patch)
tree1b1b05b0e8901bbc7a8f5e19848749aaa7c52c5a /network
parent2372c860fe1ad24e2a33de6cb56ad6bdb1ade609 (diff)
downloadslackbuilds-b9e645c394d7b7854a1d17d1bebdc6e9e624b0e9.tar.gz
network/libiscsi: Added (client-side library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/libiscsi/README10
-rw-r--r--network/libiscsi/libiscsi.SlackBuild112
-rw-r--r--network/libiscsi/libiscsi.info10
-rw-r--r--network/libiscsi/slack-desc19
4 files changed, 151 insertions, 0 deletions
diff --git a/network/libiscsi/README b/network/libiscsi/README
new file mode 100644
index 0000000000..f1090ad76a
--- /dev/null
+++ b/network/libiscsi/README
@@ -0,0 +1,10 @@
+Libiscsi is a client-side library to implement the iSCSI protocol that
+can be used to access the resources of an iSCSI target.
+
+The library is fully asynchronous with regards to iSCSI commands and
+SCSI tasks, but a synchronous layer is also provided for ease of use for
+simpler applications.
+
+This library enables applications to act as iSCSI initiators without
+requiring support from the kernel. QEMU uses this to access iSCSI
+targets directly.
diff --git a/network/libiscsi/libiscsi.SlackBuild b/network/libiscsi/libiscsi.SlackBuild
new file mode 100644
index 0000000000..6eeebf5a36
--- /dev/null
+++ b/network/libiscsi/libiscsi.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for libiscsi
+
+# Copyright 2019 Wayne Cuddy USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+#
+# 2019-04-07:
+# initial release
+#
+
+PRGNAM=libiscsi
+VERSION=${VERSION:-1.18.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING \
+ README \
+ TODO \
+ LICENCE-GPL-2.txt \
+ LICENCE-LGPL-2.1.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/libiscsi/libiscsi.info b/network/libiscsi/libiscsi.info
new file mode 100644
index 0000000000..870e32c21c
--- /dev/null
+++ b/network/libiscsi/libiscsi.info
@@ -0,0 +1,10 @@
+PRGNAM="libiscsi"
+VERSION="1.18.0"
+HOMEPAGE="https://github.com/sahlberg/libiscsi"
+DOWNLOAD="https://sites.google.com/site/libiscsitarballs/libiscsitarballs/libiscsi-1.18.0.tar.gz"
+MD5SUM="eff8b0a9a116624d41edc4104054f77d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Wayne Cuddy"
+EMAIL="wcuddy@useunix.net"
diff --git a/network/libiscsi/slack-desc b/network/libiscsi/slack-desc
new file mode 100644
index 0000000000..c0eac315be
--- /dev/null
+++ b/network/libiscsi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libiscsi: libiscsi (client-side library)
+libiscsi:
+libiscsi: Libiscsi is a client-side library to implement the iSCSI protocol that
+libiscsi: can be used to access the resources of an iSCSI target.
+libiscsi:
+libiscsi:
+libiscsi:
+libiscsi:
+libiscsi:
+libiscsi:
+libiscsi: